POST api/{area}/TabBar/DriverRegister

Request Information

URI Parameters

NameDescriptionTypeAdditional information
area

string

None.

Body Parameters

DriverRegInfo
NameDescriptionTypeAdditional information
userInfo

UserInfo

None.

usercode

string

None.

openid

string

None.

userid

string

None.

status

integer

None.

timestamp

integer

None.

driverinfo

Driverinfo

None.

version

string

None.

Request Formats

application/json, text/json

Sample:
{
  "userInfo": {
    "nickName": "sample string 1",
    "gender": 2,
    "language": "sample string 3",
    "city": "sample string 4",
    "province": "sample string 5",
    "country": "sample string 6",
    "avatarUrl": "sample string 7"
  },
  "usercode": "sample string 1",
  "openid": "sample string 2",
  "userid": "sample string 3",
  "status": 4,
  "timestamp": 5,
  "driverinfo": {
    "weixinno": "sample string 1",
    "drivername": "sample string 2",
    "truckno": "sample string 3",
    "phone": "sample string 4",
    "country": "sample string 5"
  },
  "version": "sample string 6"
}

application/xml, text/xml

Sample:
<DriverRegInfo xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Pror.P2API.Areas.WeiXin.Models">
  <driverinfo>
    <country>sample string 5</country>
    <drivername>sample string 2</drivername>
    <phone>sample string 4</phone>
    <truckno>sample string 3</truckno>
    <weixinno>sample string 1</weixinno>
  </driverinfo>
  <openid>sample string 2</openid>
  <status>4</status>
  <timestamp>5</timestamp>
  <userInfo>
    <avatarUrl>sample string 7</avatarUrl>
    <city>sample string 4</city>
    <country>sample string 6</country>
    <gender>2</gender>
    <language>sample string 3</language>
    <nickName>sample string 1</nickName>
    <province>sample string 5</province>
  </userInfo>
  <usercode>sample string 1</usercode>
  <userid>sample string 3</userid>
  <version>sample string 6</version>
</DriverRegInfo>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'DriverRegInfo'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.